var buttonText = document.getElementById("buttonText");
var txtInput = document.getElementById("textInput");
var dateInput = document.getElementById("dateInput");
var dateLabel = document.getElementById("date");
var buttonDate = document.getElementById("buttonDate");

//bind click event to buttons:
buttonText.addEventListener("click", function() {
    var text = txtInput.value;
    alert(text);
});

buttonDate.addEventListener("click", function() {
    dateInput.focus();
});

//when input changes, get the date and parse it:
dateInput.addEventListener("input", function() {
    var date = new Date(dateInput.value);
    dateLabel.textContent = "Year: " + date.getFullYear() + ", Month: " + (date.getMonth()+1) + ", Day: " + date.getDay();
});