var storage;
var file;

navigator.mozGetUserMedia({
        video: true
    },

    function (stream) {

        var video = document.querySelector('video');
        video.src = window.URL.createObjectURL(stream);

        var button = document.querySelector('button');
        button.addEventListener('click', snapshot, false);

        var canvas = document.createElement('canvas');
        var ctx = canvas.getContext('2d');

        // create snapshot          
        function snapshot() {

            // set the canvas to the dimensions of the video
            canvas.width = video.clientWidth;
            canvas.height = video.clientHeight;
            //draw the actual frame inside the canvas.
            ctx.drawImage(video, 0, 0);

            var image = document.getElementById("snapshot");
            image.src = canvas.toDataURL();
            canvas.toBlob(function (blob) {
                file = blob;
            }, "image/jpeg", 0.95);
        }
    },
    function (err) {
        console.log("An error occured! " + err);
    }
);

var saveBtn = document.getElementById("save");
save.addEventListener("click", function (e) {
    if (navigator.getDeviceStorage) {
        storage = navigator.getDeviceStorage("pictures");
        storage.add(file);
    }
});