var long = document.getElementById("long");
var lat = document.getElementById("lat");

//sets high accuraca option, 
//maximumAge: how old can a cached position be, to be returned. If older, a new one needs to be determined.s
//timeout: how long, until the getPosition() method returns. Default: Infinity

var options = {
  enableHighAccuracy: true, 
  maximumAge        : 30000, 
  timeout           : 27000
};

function printPosition(position) {
    lat.textContent = position.coords.latitude;
    long.textContent = position.coords.longitude;
    console.log("LAT: " + position.coords.latitude + ", LONG: " + position.coords.longitude);
}

function error() {
    console.error("No position available!");
}

//watch device position, request a watch ID.
var watchID = navigator.geolocation.watchPosition(printPosition, error, options);