var smsbutton = document.getElementById("sendSMS");
var mmsbutton = document.getElementById("sendMMS");
var messageManager = navigator.mozMobileMessage;
var picture = document.getElementById("picture");

smsbutton.addEventListener("click", function () {
    var message = "Hello there!";
    var number = "069912345678";

    var sms = messageManager.send(number, message);

    sms.onsuccess = function () {
        console.log("SMS sent!");
    };

    sms.onerror = function () {
        console.log("SMS could not be sent!");
    };
});

mmsbutton.addEventListener("click", function () {
    var numbers = ["069912345678"];
    var message = {
        receivers: numbers,
        subject: "Picture from Paris"
        smil: '<smil><body><par>' +
            '<img src="wedding.jpg" />' +
            '<text src="txt" />' +
            '</par></body></smil>',
        attachments: [
            {
                location: 'txt',
                content: new Blob(['I was in Paris'], {
                    type: 'text/plain'
                })
            },
            {
                location: 'paris.jpg',
                //use this function to get the image data out of an <img> tag.
                content: base64img(picture);
            }]
    }

    navigator.mozMobileMessage.sendMMS(message);
});

//Fallback. Works without privileges.
new MozActivity({
    name: 'new',
    data: {
        type: 'websms/sms',
        number: '999',
        body: 'hi!'
    }
});

//trick to get image data.
//courtesy of Chris Sobolewski, found at http://stackoverflow.com/questions/9612229/can-i-get-the-data-of-a-cross-site-img-tag-as-a-blob
function base64img(i){
    var canvas = document.createElement('canvas');
    canvas.width = i.width;
    canvas.height = i.height;
    var context = canvas.getContext("2d");
    context.drawImage(i, 0, 0);
    var blob = canvas.toDataURL("image/png");
    return blob.replace(/^data:image\/(png|jpg);base64,/, "");
}